Subject: Re: FVWM: FVWM2 (2.4.0) Slow vs. WMaker

From: Andy <[email-masked]>
Date: Sat, 03 Nov 2001 23:46:22 -0500

> > This may be a small thing to some, but it is important when I've set up
> > my machine and want to use it as a desktop Linux box(and get jealous
> > when using MSWindows). One thing I've noticed is that my windows are
> > pretty slow to draw when I move them around (I use opaque windows, and
> > no icons, just a large (1-2MB) .xpm for a background and a desktop at
> > 1600x1200). However, the one that is very quick is XMMS. Since I've got
> > DRI working, as well, OGL stuff is fast, as well, but, AFAIK, there
> > aren't any OGL window managers. I thought this was curious. One friend
> > of mine suggested that it was because XMMS uses a small window. However,
> > when I move, say, an xload window (a small one) it moves choppily, too.
> > At first, I just chalked this all up to X being slow. However, today, I
> > tried something different. I installed an older version of WindowMaker
> > (whatever came with Slackware 7.1... 0.62.1) on my box and got it
> > working. To my surprise, the windows (using opaque moving) moved around
> > significantly smoother than FVWM2. So, my question is: why is
> > WindowMaker faster than FVWM2 at redrawing windows? Can I make FVWM2
> > faster at redrawing windows? Do other people notice this, as well?
> 
> One reason is that fvwm does a lot of things during window motion.
> You can speed this up by not using some of the functionality:
> 
>  - Turn off SnapGrid and SnapAttraction
>  - Use simple window decorations without gradients or pixmaps
How do I do this? I'm currently just using the default, gray "3D" window
decorations.

>  - Use only one page per desk (DesktopSize 1x1)
I'm currently using 2x2 pages per desk on two desks, but I tried that
and there was no significant speed improvement.

> Another reason can be backing storage and saving window contents
> obscured by other windows.  If both are turned off, X has to do a
> lot of extra drawing, but it actually depends on the video card
> (and the applications) if the additional drawing is faster or
> slower than caching the contents (because reading from the video
> card is usually much slower than writing to it).  Try if either
> 
>   Style * BackingStore, SaveUnder
> 
> or
> 
>   Style * BackingStoreOff, SaveUnderOff
> 
> helps.
I've tried those and they don't really seem to do anything. I've even
tried to tell X to use/not use backing store, and FVWM is still pretty
slow (more like choppy).

If it helps, I'm using X4.1.0 on a RadeonVE with a desktop size of
1600x1200 and 24bpp.

Thanks.

[email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Dominik Vogt <[email-masked]>
Date: Mon, 5 Nov 2001 11:14:53 +0100

> >  - Turn off SnapGrid and SnapAttraction

  SnapAttraction -1
  SnapGrid 1 1

> How do I do this? I'm currently just using the default, gray "3D" window

That should be simple enough.

> If it helps, I'm using X4.1.0 on a RadeonVE with a desktop size of

What fvwm release do you use?  The window motion code in some of
the 2.3.x releases was quite slow.

Bye

Dominik ^_^  ^_^

-- 
Dominik Vogt, email: [email-masked]
LifeBits Aktiengesellschaft, Albrechtstr. 9, D-72072 Tuebingen
fon: ++49 (0) 7071/7965-0, fax: ++49 (0) 7071/7965-20
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Andy <[email-masked]>
Date: Mon, 05 Nov 2001 17:53:44 -0500

>   SnapGrid 1 1
I suppose I could try this, but I don't suspect that it will work

> the 2.3.x releases was quite slow.
See subject. 2.4.0.

Actually, turning on BackingStore in X and FVWM2 made things SLOWER.
WindowMaker was unaffected. Which is wierd, since I'd think they would
both get similar performance. Are there any compile-time options that I
could try that might help?

Thanks.

[email-masked]

---

From: Dominik Vogt <[email-masked]>
Date: Tue, 6 Nov 2001 10:15:44 +0100

> Actually, turning on BackingStore in X and FVWM2 made things SLOWER.

As I already explained in a previous mail, backing store can make
things faster or slower, mostly depending on the video card.

> both get similar performance.

Not necessarily.  If X does not support backing store, the WM can
not use it, but if it does, the WM can still turn it off
explicitly for each window.

> Are there any compile-time options that I could try that might
> help?

No.  By the way, did you check if any application is hogging CPU?

Bye

Dominik ^_^  ^_^